<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\PdfListen\TnListen\SendVhsInfoTnListen;


class SendVhsInfoTnListenUseCase extends \Kufer\Web\KuferTools\Dozent\KursUebersicht\DrucklistenAllgemein\Drucklisten\SendVhsInfoDruckListen\SendVhsInfoDruckListenAllgemeinUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;
  }

  public static function getToolSectionId()
  {
    return 237;
  }

  
  protected function _getPdfDrucklistenObj()
  {
    $userId = $this->getUser()->getIdentifier();
    $mitAnwListeMitDozAnschrift = true;
    $showAnwesenheitslisteDeutschkurse = $this->showAnwesenheitslisteDeutschkurse();
    $showAnwesenheitslisteMitWeitermeldung = $this->showAnwesenheitslisteMitWeitermeldung();

    return new \Kufer\Web\KuferTools\Basis\PdfListen\TnListen\TnPdfListen(
      $this->getToolId(),
      $this->getToolSectionId(),
      $userId,
      $mitAnwListeMitDozAnschrift,
      $showAnwesenheitslisteDeutschkurse,
      $showAnwesenheitslisteMitWeitermeldung
    );
  }

  protected function showAnwesenheitslisteDeutschkurse()
  {
    return \Kufer\Web\KuferTools\Utils\Spezial\MVHSUtils::areKurseDeutschkurse($this->request->kursIds);
  }

  protected function showAnwesenheitslisteMitWeitermeldung()
  {
    return \DBWorkBASysSettings::isReinbekVhs();
  }
}